### Method

# AppStream Component get_pkgnames

#### Declaration [src]

    gchar**
    as_component_get_pkgnames (
      AsComponent* cpt
    )

#### Description [src]

Get a list of package names which this component consists of. This usually is just one package name.

Gets property | `AppStream.Component:pkgnames`

#### Return value

Type: An array of `utf8`

String array of package names.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.